Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class CMapBuilder

    java.lang.Object
      org.apache.fop.pdf.CMapBuilder

public class CMapBuilder
extends java.lang.Object

Field Summary
`protected java.lang.String` | `name`
`protected java.io.Writer` | `writer`

Constructor Summary
`CMapBuilder(java.io.Writer writer, java.lang.String name)`

Method Summary
`protected void` | `writeBFEntries()`
`protected void` | `writeCIDInit()`
`protected void` | `writeCIDRange()`
`protected void` | `writeCIDSystemInfo()`
`protected void` | `writeCIDSystemInfo(java.lang.String registry, java.lang.String ordering, int supplement)`
`void` | `writeCMap()` Writes the CMap to a Writer.
`protected void` | `writeCodeSpaceRange()`
`protected void` | `writeCodeSpaceRange(boolean singleByte)`
`protected void` | `writeName(java.lang.String name)`
`protected void` | `writePreStream()`
`protected void` | `writeStreamAfterComments()`
`protected void` | `writeStreamComments()`
`protected void` | `writeType(java.lang.String type)`
`protected void` | `writeUseCMap()`
`protected void` | `writeVersion(java.lang.String version)`
`protected void` | `writeWrapUp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### writer

    protected java.io.Writer writer

Constructor Detail

### CMapBuilder

    public CMapBuilder(java.io.Writer writer,
                       java.lang.String name)

Method Detail

### writeCMap

    public void writeCMap()
                   throws java.io.IOException

  Writes the CMap to a Writer.

  Throws:
    `java.io.IOException` - if an I/O error occurs

### writePreStream

    protected void writePreStream()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeStreamComments

    protected void writeStreamComments()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCIDInit

    protected void writeCIDInit()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCIDSystemInfo

    protected void writeCIDSystemInfo(java.lang.String registry,
                                      java.lang.String ordering,
                                      int supplement)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCIDSystemInfo

    protected void writeCIDSystemInfo()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeVersion

    protected void writeVersion(java.lang.String version)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeType

    protected void writeType(java.lang.String type)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeName

    protected void writeName(java.lang.String name)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCodeSpaceRange

    protected void writeCodeSpaceRange()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCodeSpaceRange

    protected void writeCodeSpaceRange(boolean singleByte)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCIDRange

    protected void writeCIDRange()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBFEntries

    protected void writeBFEntries()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeWrapUp

    protected void writeWrapUp()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeStreamAfterComments

    protected void writeStreamAfterComments()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeUseCMap

    protected void writeUseCMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.